package discovery

type DiscoverHost struct {
	FirstScanRangeV4 string   `json:"firstScanRangev4,omitempty"`
	LastScanRangeV4  string   `json:"lastScanRangev4,omitempty"`
	ExcludeHostsV4   []string `json:"excludeHostsv4,omitempty"`
	IncludeHostsV4   []string `json:"includeHostsv4,omitempty"`

	FirstScanRangeV6 string   `json:"firstScanRangev6,omitempty"`
	LastScanRangeV6  string   `json:"lastScanRangev6,omitempty"`
	ExcludeHostsV6   []string `json:"excludeHostsv6,omitempty"`
	IncludeHostsV6   []string `json:"includeHostsv6,omitempty"`

	DiscoverPort *DiscoverPort `json:"discoverPort,omitempty"`
}
