package discovery

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/constants"
	"git.loafle.net/overflow/commons-go/core/util"
)

type Service struct {
	Port *Port `json:"port,omitempty"`

	ID          json.Number          `json:"id,Number,omitempty"`
	CryptoType  constants.CryptoType `json:"cryptoType,omitempty"`
	ServiceName string               `json:"serviceName,omitempty"`

	DiscoveredDate *util.Timestamp `json:"discoveredDate,omitempty"`
}
