package discovery

import "git.loafle.net/overflow/commons-go/model/discovery"

type DiscoveryService interface {
	DiscoverZone(requesterID string, dz *discovery.DiscoverZone) error
	DiscoverHost(requesterID string, zone *discovery.Zone, dh *discovery.DiscoverHost) error
	DiscoverPort(requesterID string, host *discovery.Host, dp *discovery.DiscoverPort) error
	DiscoverService(requesterID string, port *discovery.Port, ds *discovery.DiscoverService) error
	StopRequest(requesterID string) error
}
