package infra

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
	"git.loafle.net/overflow/commons-go/model/meta"
	"git.loafle.net/overflow/commons-go/model/probe"
	"git.loafle.net/overflow/commons-go/model/target"
)

type Infra struct {
	ID            json.Number         `json:"id,Number,omitempty"`
	MetaInfraType *meta.MetaInfraType `json:"metaInfraType,omitempty"`
	CreateDate    *util.Timestamp     `json:"createDate,omitempty"`
	Probe         *probe.Probe        `json:"probe,omitempty"`
	Target        *target.Target      `json:"target,omitempty"`
}
