package sensorconfig

type Keys struct {
	Metric string `json:"metric,omitempty"`
	Key    string `json:"key,omitempty"`
}

func KeysToMap(keys []Keys) map[string]string {

	m := make(map[string]string)

	for _, key := range keys {
		m[key.Key] = key.Metric
	}

	return m
}
